classification
Title: test_typing fails if asyncio unavailable
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, levkivskyi, martin.panter, python-dev
Priority: normal Keywords: patch

Created on 2016-10-20 04:23 by martin.panter, last changed 2016-10-22 00:23 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
st-typing.patch martin.panter, 2016-10-20 04:23 review
Messages (8)
msg279013 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-10-20 04:23
If you compile with “configure --without-threads”, various tests are already skipped because they rely on multithreading. However test_typing does not seem to handle this. It tries to import “asyncio”, which seems to depend on multithreading. I presume it is expected that asyncio requires multithreading, so perhaps the affected tests should be skipped in test_typing. Here is my attempt to skip them; please review.
msg279035 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-10-20 14:43
Can you submit this as a PR upstream, to github.com/python/typing?
msg279160 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-10-21 21:41
Ivan, if you want to apply it upstream be my guest!
msg279164 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-10-21 21:53
I will this to Git Hub when I get a chance to get set up, if that helps though :)
msg279166 - (view) Author: Ivan Levkivskyi (levkivskyi) * (Python committer) Date: 2016-10-21 21:57
Martin, I have opened a PR with your patch at python/typing
https://github.com/python/typing/pull/304
msg279169 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-21 23:13
New changeset c3363f684a2d by Guido van Rossum in branch '3.5':
Issue #28482: Skip a few test_typing tests if asyncio unavailable
https://hg.python.org/cpython/rev/c3363f684a2d

New changeset 8f3b4779afaf by Guido van Rossum in branch '3.6':
Issue #28482: Skip a few test_typing tests if asyncio unavailable (3.5->3.6)
https://hg.python.org/cpython/rev/8f3b4779afaf

New changeset c5fb5ac84f1e by Guido van Rossum in branch 'default':
Issue #28482: Skip a few test_typing tests if asyncio unavailable (3.6->3.7)
https://hg.python.org/cpython/rev/c5fb5ac84f1e
msg279170 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-10-21 23:20
Martin can you verify that this worked?
msg279173 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-10-22 00:23
Yep, working well. Thanks Guido & Ivan.
History
Date User Action Args
2016-10-22 00:23:06martin.pantersetmessages: + msg279173
stage: commit review -> resolved
2016-10-21 23:20:19gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg279170

stage: patch review -> commit review
2016-10-21 23:13:33python-devsetnosy: + python-dev
messages: + msg279169
2016-10-21 21:57:58levkivskyisetmessages: + msg279166
2016-10-21 21:53:34martin.pantersetmessages: + msg279164
2016-10-21 21:41:43gvanrossumsetmessages: + msg279160
2016-10-21 21:24:39levkivskyisetnosy: + levkivskyi
2016-10-20 14:43:18gvanrossumsetmessages: + msg279035
2016-10-20 04:23:14martin.pantercreate